EditToolLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.drawing
Interface EditToolLoader

All Known Implementing Classes:
  AbstractToolLoader, OMCircleLoader, OMDecoratedSplineLoader, OMDistanceLoader, OMLineLoader, OMPointLoader, OMPolyLoader, OMRectLoader, OMScalingRasterLoader, OMSplineLoader, OMTextLoader

    public interface EditToolLoader

An EditToolLoader is interface that describes an object that creates something that can create or edit an OMGraphic. The EditToolLoader should be able to be tossed at a DrawingTool, and the DrawingTool should be able find out what kind of objects it can adjust or create, and then use it if any requests come in that fit.

Method Summary
`java.lang.String[]` | `getEditableClasses()` Get the classnames that the loader is able to create EditableOMGraphics for.
`EditableOMGraphic` | `getEditableGraphic(OMGraphic graphic)` Give an OMGraphic to the EditToolLoader, which will create an EditableOMGraphic for it.
`EditableOMGraphic` | `getEditableGraphic(java.lang.String classname)` Give the classname of a graphic to create, returning a default EditableOMGraphic for that graphic.
`EditableOMGraphic` | `getEditableGraphic(java.lang.String classname, GraphicAttributes ga)` Give the classname of a graphic to create, returning an EditableOMGraphic for that graphic.
`javax.swing.ImageIcon` | `getIcon(java.lang.String classname)` Get an Icon that is suitable for representing the class given by the classname.
`java.lang.String` | `getPrettyName(java.lang.String classname)` Provide a pretty name to use for a particular class.

Method Detail

### getEditableClasses

    java.lang.String[] getEditableClasses()

  Get the classnames that the loader is able to create EditableOMGraphics for.

### getEditableGraphic

    EditableOMGraphic getEditableGraphic(java.lang.String classname)

  Give the classname of a graphic to create, returning a default EditableOMGraphic for that graphic. If you don't want a graphic type to be part of the GUI, then just return an EditableOMGraphic for that classname here, and don't return it for other queries (getEditableClasses, etc.).

### getEditableGraphic

    EditableOMGraphic getEditableGraphic(java.lang.String classname,
                                         GraphicAttributes ga)

  Give the classname of a graphic to create, returning an EditableOMGraphic for that graphic. The GraphicAttributes object lets you set various other parameters for the graphic. If you don't want a graphic type to be part of the GUI, then just return an EditableOMGraphic for that classname here, and don't return it for other queries (getEditableClasses, etc.).

### getEditableGraphic

    EditableOMGraphic getEditableGraphic(OMGraphic graphic)

  Give an OMGraphic to the EditToolLoader, which will create an EditableOMGraphic for it.

### getIcon

    javax.swing.ImageIcon getIcon(java.lang.String classname)

  Get an Icon that is suitable for representing the class given by the classname. OpenMap is going with a 20 x 20 icon.

  Parameters:
    `classname` - the classname to get the icon for.
  Returns:
    Image classname icon.

### getPrettyName

    java.lang.String getPrettyName(java.lang.String classname)

  Provide a pretty name to use for a particular class. Intended to be part of a GUI, either on a list, or as a tool tip.

  Parameters:
    `classname` - the classname to get the icon for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details